#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T, i=0, j=0, zbir=0;
    scanf("%d", &T);
    int brojUcenika[T], brojBananica[T], brojGrupa[T];
    for(i=0; i<T; i++)
        scanf("%d %d %d", &brojUcenika[i], &brojBananica[i], &brojGrupa[i]);
    for(i=0; i<T; i++){
        for(j=0; j<brojUcenika[i]; j++)
            zbir+=j;
        if(brojGrupa[i]>brojUcenika[i] || brojUcenika[i]>brojBananica[i] || brojGrupa[i]>brojBananica[i])
            printf("Nie\n");
        else if(brojGrupa[i]<brojUcenika[i] && brojUcenika[i]==brojBananica[i])
            printf("Nie\n");
        else
            printf("Tak\n");
        zbir=0;
    }
    return 0;
}